Bug 142962 - [EFL] Disable GCController timer for PLATFORM(EFL)
Summary: [EFL] Disable GCController timer for PLATFORM(EFL)
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-23 01:46 PDT by Peng Xinchao
Modified: 2017-03-11 10:38 PST (History)
9 users (show)

See Also:


Attachments
Patch (1.46 KB, patch)
2015-03-23 01:51 PDT, Peng Xinchao
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-mavericks-wk2 (660.90 KB, application/zip)
2015-09-23 00:14 PDT, Build Bot
no flags Details
Patch (1.55 KB, patch)
2015-09-23 00:35 PDT, Peng Xinchao
no flags Details | Formatted Diff | Diff
Patch (1.59 KB, patch)
2015-09-23 02:07 PDT, Peng Xinchao
gyuyoung.kim: review-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peng Xinchao 2015-03-23 01:46:08 PDT
Disable GCController timer,[EFL] Disable GCController timer for PLATFORM(EFL)
Comment 1 Peng Xinchao 2015-03-23 01:51:13 PDT
Created attachment 249225 [details]
Patch
Comment 2 Gyuyoung Kim 2015-04-17 06:14:15 PDT
Comment on attachment 249225 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=249225&action=review

> Source/WebCore/ChangeLog:8
> +

Missing to mention why we have to disable GCController.
Comment 3 Peng Xinchao 2015-09-22 23:37:28 PDT
In EFL platfrom , GCActivityCallback is implemented . There will be two time to control GC . It is confusion and unsafe
Comment 4 Gyuyoung Kim 2015-09-22 23:54:10 PDT
(In reply to comment #3)
> In EFL platfrom , GCActivityCallback is implemented . There will be two time
> to control GC . It is confusion and unsafe

Please add this reason to ChangeLog.
Comment 5 Build Bot 2015-09-23 00:14:10 PDT
Comment on attachment 249225 [details]
Patch

Attachment 249225 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/199262

New failing tests:
fast/dom/Window/window-property-invalid-characters-ignored.html
Comment 6 Build Bot 2015-09-23 00:14:24 PDT
Created attachment 261801 [details]
Archive of layout-test-results from ews104 for mac-mavericks-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-mavericks-wk2  Platform: Mac OS X 10.9.5
Comment 7 Peng Xinchao 2015-09-23 00:35:46 PDT
Created attachment 261804 [details]
Patch
Comment 8 Gyuyoung Kim 2015-09-23 01:32:39 PDT
Comment on attachment 261804 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=261804&action=review

r- because of wrong ChangeLog and ews failures.

> Source/WebCore/ChangeLog:4
> +           In EFL platform , GCActivityCall has been implemented . So there are two timer to trigger GC . 

Please read ChangeLog category in WebKit contribution article first.

https://www.webkit.org/coding/contributing.html
Comment 9 Peng Xinchao 2015-09-23 02:07:10 PDT
Created attachment 261807 [details]
Patch
Comment 10 Carlos Garcia Campos 2015-11-23 08:20:58 PST
Comment on attachment 261807 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=261807&action=review

> Source/WebCore/bindings/js/GCController.cpp:65
> -#if USE(CF)
> +#if USE(CF) || PLATFORM(EFL)

The comment above is no longer accurate then, since it mentions core foundation and RunLoop is already in WTF now
Comment 11 Carlos Garcia Campos 2015-11-27 01:08:50 PST
The GTK patch landed in r192775 works for EFL as well, since it uses #if USE(GLIB), so this should be fixed now.
Comment 12 Gyuyoung Kim 2015-11-29 07:10:11 PST
Comment on attachment 261807 [details]
Patch

r- because r192775 already modified this macro using USE(GLIB). Please update this patch if there is still problem.
Comment 13 Michael Catanzaro 2017-03-11 10:38:56 PST
Closing this bug because the EFL port has been removed from trunk.

If you feel this bug applies to a different upstream WebKit port and was closed in error, please either update the title and reopen the bug, or leave a comment to request this.